Subject: bug#66040: 30.0.50; The XF86AudioLowerVolume on keyboard cannot be detected correctly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Sep 2023 14:04:42 +0300

> Cc: [email-masked]
> From: Stefan Kangas <[email-masked]>
> Date: Mon, 18 Sep 2023 00:52:16 -0700
> 
> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
> 
> > Set x-quit-keysym to nil in your early-init.el, then restart Emacs.
> > This feature (reinterpreting volume-down keys as quit) was introduced in
> > Emacs 30 to support computers without physical input devices capable of
> > typing `C-g'.
> 
> That refers to Android phones, right?
> 
> > Incidentally, what keyboard are you using?  XF86AudioLowerVolume is not
> > generated by any I own, and x-quit-keysym is intended to only apply to
> > volume rocker buttons on mobile phones and their ilk.
> 
> Such keys are fairly common on standard keyboards, or at least used to
> be.  There is usually an extra "function key row" with a "volume down"
> key that generates XF86AudioLowerVolume.  I have one of those keyboards
> lying around.
> 
> Is there a way to support this on mobile phones without this key
> breaking on machines with regular keyboards?

That'd be definitely preferable if possible.

If it isn't possible to have an Android-specific binding, I think we
should make the Android-specific binding in android-win.el or
somesuch, and leave the default as it is appropriate for laptops and
desktop systems.